Skip to main content
POST
/
api
/
v1
/
teams
/
{team_id}
/
folders
Create Folder
curl --request POST \
  --url https://api.member.dev/api/v1/teams/{team_id}/folders \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "attributes": {
      "name": "<string>",
      "parent_id": "<string>"
    },
    "type": "folders"
  }
}
'
{
  "data": {
    "attributes": {
      "created_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "path_array": [
        "<string>"
      ],
      "updated_at": "2023-11-07T05:31:56Z",
      "parent_id": "<string>"
    },
    "id": "<string>",
    "type": "<string>",
    "links": {
      "self": "<string>"
    },
    "meta": {},
    "relationships": {}
  },
  "included": [
    "<unknown>"
  ],
  "links": {
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Body

application/vnd.api+json

Request body for POST /api/teams/{team_id}/folders.

data
FolderCreateData · object
required

Response

Successful Response

Single-resource JSON:API response wrapping a FolderResource.

data
JsonApiResource[FolderAttributes] · object
required
included
any[] | null
meta
Meta · object